diff --git a/web/karma.conf.js b/web/karma.conf.js
index 39697ca7..e9b0e062 100644
--- a/web/karma.conf.js
+++ b/web/karma.conf.js
@@ -5,6 +5,7 @@ const webpackConfig = require('./webpack.test.config.js');
 module.exports = function (config) {
   config.set({
     frameworks: ['jasmine'],
+    reporters: ['progress', 'kjhtml'],
     plugins: [
       'karma-webpack',
       'karma-phantomjs-launcher',
diff --git a/web/package.json b/web/package.json
index 0082d95e..41852e0b 100644
--- a/web/package.json
+++ b/web/package.json
@@ -16,7 +16,7 @@
     "karma-babel-preprocessor": "^6.0.1",
     "karma-browserify": "~5.1.1",
     "karma-jasmine": "~1.1.0",
-    "karma-jasmine-html-reporter": "~0.2.2",
+    "karma-jasmine-html-reporter": "^0.2.2",
     "karma-phantomjs-launcher": "~1.0.2",
     "karma-requirejs": "~1.1.0",
     "karma-sourcemap-loader": "~0.3.7",
diff --git a/web/yarn.lock b/web/yarn.lock
index 9f091992..b5363de6 100644
--- a/web/yarn.lock
+++ b/web/yarn.lock
@@ -1439,16 +1439,16 @@ crypto-browserify@^3.0.0, crypto-browserify@^3.11.0:
     public-encrypt "^4.0.0"
     randombytes "^2.0.0"
 
+css-color-names@0.0.4:
+  version "0.0.4"
+  resolved "https://registry.yarnpkg.com/css-color-names/-/css-color-names-0.0.4.tgz#808adc2e79cf84738069b646cb20ec27beb629e0"
+
 css-in-js-utils@^1.0.3:
   version "1.0.3"
   resolved "https://registry.yarnpkg.com/css-in-js-utils/-/css-in-js-utils-1.0.3.tgz#9ac7e02f763cf85d94017666565ed68a5b5f3215"
   dependencies:
     hyphenate-style-name "^1.0.2"
 
-css-color-names@0.0.4:
-  version "0.0.4"
-  resolved "https://registry.yarnpkg.com/css-color-names/-/css-color-names-0.0.4.tgz#808adc2e79cf84738069b646cb20ec27beb629e0"
-
 css-loader@^0.28.4:
   version "0.28.4"
   resolved "https://registry.yarnpkg.com/css-loader/-/css-loader-0.28.4.tgz#6cf3579192ce355e8b38d5f42dd7a1f2ec898d0f"
@@ -3061,7 +3061,7 @@ karma-browserify@~5.1.1:
     minimatch "^3.0.0"
     os-shim "^0.1.3"
 
-karma-jasmine-html-reporter@~0.2.2:
+karma-jasmine-html-reporter@^0.2.2:
   version "0.2.2"
   resolved "https://registry.yarnpkg.com/karma-jasmine-html-reporter/-/karma-jasmine-html-reporter-0.2.2.tgz#48a8e5ef18807617ee2b5e33c1194c35b439524c"
   dependencies:
